Join

Have a bot join a meeting, now or in the future. You can provide a webhook_url parameter to receive webhook events specific to this bot, overriding your account's default webhook URL. Events include recording completion, failures, and transcription updates.

POST
/bots/

Authorization

ApiKeyAuth
x-meeting-baas-api-key<token>

API key for authentication

In: header

Request Body

application/json

automatic_leave?|

Configuration for automatic meeting exit behavior. The bot uses waiting_room_timeout to wait in the waiting room, then noone_joined_timeout to wait for participants when first joining the meeting, and finally switches to silence_timeout monitoring once participants are detected. Applies to Google Meet and Microsoft Teams only.

bot_image?|

The image to use for the bot, must be a URL. Recommended ratio is 16:9.

Formaturi
bot_name*string
deduplication_key?|

We prevent multiple bots with same API key joining a meeting within 5 mins, unless overridden by deduplication_key.

entry_message?|

There are no entry messages on Microsoft Teams as guests outside of an organization do not have access to the chat.

extra?unknown

A JSON object that allows you to add custom data to a bot for your convenience, e.g. your end user's ID.

Defaultnull
meeting_url*string
recording_mode?|||

The recording mode for the bot, defaults to 'speaker_view'. Supported values are 'speaker_view' and 'audio_only'. 'gallery_view' is currently under development.

reserved?boolean

Deprecated, do not use.

Defaultfalse
speech_to_text?||

The default speech to text provider is Gladia.

start_time?|

Reserved has been deprecated in favour of start_time. Unix timestamp (in seconds) for when the bot should join the meeting. The bot joins eaxctly at the start time.

Formatuint64
Range0 <= value
streaming?|

WebSocket streams for 16 kHz audio. Input stream receives audio sent to the bot. Output stream receives audio from the bot.

transcription_custom_parameters?unknown

For your own transcription parameters

Defaultnull
webhook_url?|

A webhook URL to send events to, overrides the webhook URL set in your account settings.

zoom_access_token_url?|

URL that returns a Zoom ZAK token (short-lived access token) for joining authenticated meetings.

zoom_obf_token?|

A raw Zoom On Behalf Of (OBF) token for joining external Zoom meetings. Required for meetings that enforce authenticated join after March 2, 2026.

zoom_obf_token_url?|

URL that returns a Zoom OBF token. The bot will fetch the token from this URL at join time.

zoom_obf_token_user_id?|

The Zoom user ID associated with a stored OAuth connection. When set, the system will automatically fetch an OBF token using the managed OAuth credentials.

zoom_sdk_id?|

For the Own Zoom Credentials feature, we need your zoom sdk id.

zoom_sdk_pwd?|

For the Own Zoom Credentials feature, we need your zoom sdk pwd.

[key: string]?never

Response Body

application/json

curl -X POST "https://api.meetingbaas.com/bots/" \  -H "Content-Type: application/json" \  -d '{    "bot_name": "string",    "meeting_url": "string"  }'
{
  "bot_id": "41900e0f-e27a-4863-8321-478ccf15bbd8"
}